## com.fasterxml.jackson.databind.ser.impl
Class FilteredBeanPropertyWriter

    java.lang.Object
      com.fasterxml.jackson.databind.ser.impl.FilteredBeanPropertyWriter

    public abstract class FilteredBeanPropertyWriter

extends Object

Decorated `BeanPropertyWriter` that will filter out properties that are not to be included in currently active JsonView.

Constructor Summary
`FilteredBeanPropertyWriter()`

Method Summary
`static BeanPropertyWriter` `constructViewBased(BeanPropertyWriter base, Class<?>[] viewsToIncludeIn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilteredBeanPropertyWriter

    public FilteredBeanPropertyWriter()

Method Detail

### constructViewBased

    public static BeanPropertyWriter constructViewBased(BeanPropertyWriter base,
                                                        Class<?>[] viewsToIncludeIn)

Copyright © 2012 fasterxml.com. All Rights Reserved.